Package org.linphone.core

# Enum Class ToneID

java.lang.Object
java.lang.Enum<ToneID>
org.linphone.core.ToneID

All Implemented Interfaces:
  `Serializable`, `Comparable<ToneID>`, `Constable`

public enum ToneID extends Enum<ToneID>
Enum listing frequent telephony tones.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Busy`
Busy tone.
`CallEnd`
When the call end for any reason but lost.
`CallLost`
Tone played when call is abruptly disconnected (media lost)
`CallNotAnswered`
When the call is not answered.
`CallOnHold`
Call on hold tone.
`CallWaiting`
Call waiting tone.
`SasCheckRequired`
When the SAS check is required.
`Undefined`
Not a tone.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static ToneID`
`fromInt(int value)`
`protected static ToneID[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(ToneID[] values)`
`static ToneID`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ToneID[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Undefined

public static final ToneID Undefined
Not a tone.

### Busy

public static final ToneID Busy
Busy tone.

### CallWaiting

public static final ToneID CallWaiting
Call waiting tone.

### CallOnHold

public static final ToneID CallOnHold
Call on hold tone.

### CallLost

public static final ToneID CallLost
Tone played when call is abruptly disconnected (media lost)

### CallEnd

public static final ToneID CallEnd
When the call end for any reason but lost.

### CallNotAnswered

public static final ToneID CallNotAnswered
When the call is not answered.

### SasCheckRequired

public static final ToneID SasCheckRequired
When the SAS check is required.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static ToneID[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ToneID valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static ToneID fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static ToneID[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(ToneID[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()